// Code generated by "stringer -type Queue"; DO NOT EDIT.

package faktory

import "strconv"

func _() {
	// An "invalid array index" compiler error signifies that the constant values have changed.
	// Re-run the stringer command to generate them again.
	var x [1]struct{}
	_ = x[FetchChannelQueue-0]
	_ = x[UpdateChannelQueue-1]
	_ = x[FetchPostsQueue-2]
	_ = x[UpsertPostQueue-3]
}

const _Queue_name = "FetchChannelQueueUpdateChannelQueueFetchPostsQueueUpsertPostQueue"

var _Queue_index = [...]uint8{0, 17, 35, 50, 65}

func (i Queue) String() string {
	if i < 0 || i >= Queue(len(_Queue_index)-1) {
		return "Queue(" + strconv.FormatInt(int64(i), 10) + ")"
	}
	return _Queue_name[_Queue_index[i]:_Queue_index[i+1]]
}
